Package org.eclipse.rdf4j.workbench.util

## Class BasicServletConfig

- java.lang.Object
- - org.eclipse.rdf4j.workbench.util.BasicServletConfig

- All Implemented Interfaces:
    `javax.servlet.ServletConfig`

      public class BasicServletConfig
      extends Object
      implements javax.servlet.ServletConfig

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicServletConfig​(String name, javax.servlet.ServletConfig config)` |
    `BasicServletConfig​(String name, javax.servlet.ServletConfig config, Map<String,​String> params)` |
    `BasicServletConfig​(String name, javax.servlet.ServletContext context)` |
    `BasicServletConfig​(String name, javax.servlet.ServletContext context, Map<String,​String> params)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getInitParameter​(String name)` |
    `Enumeration<String>` | `getInitParameterNames()` |
    `javax.servlet.ServletContext` | `getServletContext()` |
    `String` | `getServletName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicServletConfig

          public BasicServletConfig​(String name,
                                    javax.servlet.ServletContext context)

    - #### BasicServletConfig

          public BasicServletConfig​(String name,
                                    javax.servlet.ServletConfig config)

    - #### BasicServletConfig

          public BasicServletConfig​(String name,
                                    javax.servlet.ServletConfig config,
                                    Map<String,​String> params)

    - #### BasicServletConfig

          public BasicServletConfig​(String name,
                                    javax.servlet.ServletContext context,
                                    Map<String,​String> params)

  - ### Method Detail

    - #### getServletName

          public String getServletName()

      Specified by:
        `getServletName` in interface `javax.servlet.ServletConfig`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.ServletConfig`

    - #### getInitParameterNames

          public Enumeration<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `javax.servlet.ServletConfig`

    - #### getInitParameter

          public String getInitParameter​(String name)

      Specified by:
        `getInitParameter` in interface `javax.servlet.ServletConfig`